﻿using System;
using System.Drawing;
using System.Windows.Forms;

using Steema.TeeChart.Drawing;
using Steema.TeeChart.Styles;

namespace TestProject
{
    /// <summary>
    /// 메인 폼
    /// </summary>
    public partial class MainForm : Form
    {
        //////////////////////////////////////////////////////////////////////////////////////////////////// Constructor
        ////////////////////////////////////////////////////////////////////////////////////////// Public

        #region 생성자 - MainForm()

        /// <summary>
        /// 생성자
        /// </summary>
        public MainForm()
        {
            InitializeComponent();

            Text = "Bar 클래스 : MultiBar 속성을 사용해 음수/양수 스택 바 만들기";

            this.tChart.Panel.Pen = new ChartPen(Color.Black);

            Bar bar1 = new Bar();

            bar1.Color         = Color.Red;
            bar1.MultiBar      = MultiBars.Stacked;
            bar1.Marks.Visible = false;

            bar1.Add(new int[5] { 23, -56, 42,  9,  -8 });

            tChart.Series.Add(bar1);

            Bar bar2 = new Bar();

            bar2.Color         = Color.Green;
            bar2.MultiBar      = MultiBars.Stacked;
            bar2.Marks.Visible = false;

            bar2.Add(new int[5] { 32, -16,  9, 39, -28 });

            tChart.Series.Add(bar2);

            Bar bar3 = new Bar();

            bar3.Color         = Color.Yellow;
            bar3.MultiBar      = MultiBars.Stacked;
            bar3.Marks.Visible = false;

            bar3.Add(new int[5] { 12, -21, 14, 22, -13 });

            tChart.Series.Add(bar3);

            this.threeDCheckBox.CheckedChanged += threeDCheckBox_CheckedChanged;
        }

        #endregion

        //////////////////////////////////////////////////////////////////////////////////////////////////// Method
        ////////////////////////////////////////////////////////////////////////////////////////// Private

        #region 3D 체크 박스 체크 변경시 처리하기 - threeDCheckBox_CheckedChanged(sender, e)

        /// <summary>
        /// 3D 체크 박스 체크 변경시 처리하기
        /// </summary>
        /// <param name="sender">이벤트 발생자</param>
        /// <param name="e">이벤트 인자</param>
        private void threeDCheckBox_CheckedChanged(object sender, EventArgs e)
        {
            this.tChart.Aspect.View3D = this.threeDCheckBox.Checked;
        }

        #endregion
    }
}